<script src="https://code.highcharts.com/highcharts.src.js"></script>
<center><div id = "container" style="width:50%; height:580px;" data-match = "{{ match_count }}"></div></center>>
<script>
  var div  = document.getElementById('container');
  var json_data = JSON.parse(div.dataset.match);

  
  var season = []
  var total_match = []
  for(var i = 0; i<json_data.length;i++) {
    season.push(json_data[i].season)
    total_match.push(json_data[i].total_match)
  }

  var chart = Highcharts.chart('container', {

        title: {
            text: 'Total matches played per year'
        },

        xAxis: {
            categories: season,
            title : {
              text : 'season'
            }
        },

        yAxis : {
          title : {
            text : 'Match Played'
          }
        },

        series: [{
          name : "No of match_played",
          type : "column",
          colorByPoint : true,
          data : total_match,
          showInZLegend : false
        }]
    });
</script>